package com.ms.biz.service;

import com.ms.dal.entity.Logistics;

import java.util.Map;

/**
 *
 */
public interface LogisticsService  {

    int deleteByPrimaryKey(Long id);

    int insert(Logistics record);

    int insertSelective(Logistics record);

    Logistics selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Logistics record);

    int updateByPrimaryKey(Logistics record);

    Map<String, String> matchLogisticsInfo(String platform, String originLogisticsName, String originWaybillCode, Map<String, Logistics> logisticsNameAndLogisticsInfoMap);
}
